inline vram_write_image_inl(vaddr, image, width, height)
{
	assign(sizeX, #width)
	assign(sizeY, #height)
	assign_16i(im_addr, image)
    assign_16i(pstr, vaddr)
	vram_draw_image()
}

function vram_draw_image()
{
	ldy #0
	do {
		vram_set_address(pstr)
		ldx sizeX
		do {
			lda [im_addr], y
			vram_write_a()
			inc_16(im_addr)
			dex
		} while(not zero)
		add_16_8(pstr, #NAMETABLE_WIDTH)
		vram_clear_address()
		dec sizeY
	} while(not zero)
}
