/******************************************************************************
 * NESHLA Demo Code
 * (c) 2003-2005 Brian Provinciano
 * http://www.bripro.com
 ******************************************************************************
 * MAIN.AS
 ******************************************************************************
 * The entry/interrupts/main engine
 ******************************************************************************/

// ArtSoft corp.

/******************************************************************************
 * MAIN
 ******************************************************************************/

/******************************************************************************/
inline custom_system_initialize()
{
	disable_interrupts()
	
	reset_stack()		// this is why this MUST be inline!
	
	// clear the registers
	lda		#0 
	
	sta		PPU.CNT0
	sta		PPU.CNT1
	
	sta		PPU.BG_SCROLL
	sta		PPU.BG_SCROLL
	
	sta		PCM_CNT
	sta		PCM_VOLUMECNT
	sta		SND_CNT
	
	lda		#0xC0
	sta		joystick.cnt1
}
/******************************************************************************/
interrupt.irq int_irq()
{		
}
/******************************************************************************/
interrupt.nmi int_nmi()
{	
}
/******************************************************************************/
interrupt.start main()
{
	custom_system_initialize()
 
	assign(PPU.CNT1, #0) // Turn Off video

 	vram_init()
	
	draw_start_screan()
	
	//assign(palcol, #COLOUR.YELLOW)

	assign(PPU.CNT0, #CR_SPRADDR1000|CR_ADDRINC32)
	assign(PPU.CNT1, #CR_SPRITESVISIBLE|CR_SPRNOCLIP|CR_BACKVISIBLE|CR_BACKNOCLIP)
		// Turn On video
	
	start_screan_cycle()

	start_game()
}	
/******************************************************************************/
