// ArtSoft corp.

#define FONT_TILE 181

#define S_0 FONT_TILE + 0
#define S_1 FONT_TILE + 1
#define S_2 FONT_TILE + 2
#define S_3 FONT_TILE + 3
#define S_4 FONT_TILE + 4
#define S_5 FONT_TILE + 5
#define S_6 FONT_TILE + 6
#define S_7 FONT_TILE + 7
#define S_8 FONT_TILE + 8
#define S_9 FONT_TILE + 9

#define LETTERS FONT_TILE + 10

#define S_A LETTERS + 0
#define S_B LETTERS + 1
#define S_V LETTERS + 2
#define S_G LETTERS + 3
#define S_D LETTERS + 4
#define S_E LETTERS + 5
#define S_J LETTERS + 6
#define S_Z LETTERS + 7
#define S_I LETTERS + 8
#define S_IJ LETTERS + 9
#define S_K LETTERS + 10
#define S_L LETTERS + 11
#define S_M LETTERS + 12
#define S_N LETTERS + 13
#define S_O LETTERS + 14
#define S_P LETTERS + 15
#define S_R LETTERS + 16
#define S_S LETTERS + 17
#define S_T LETTERS + 18
#define S_Y LETTERS + 19
#define S_JY LETTERS + 20
#define S_H LETTERS + 21
#define S_bI LETTERS + 22
#define S_CH LETTERS + 23
#define S_SH LETTERS + 24
#define S_YA LETTERS + 25

#define S_SPACE LETTERS + 26

#define S_DOT LETTERS + 27
#define S_MINUS LETTERS + 28
#define S_EQUAL LETTERS + 29
#define S_FAQ LETTERS + 30
#define S_OOYY LETTERS + 31
#define S_COPY LETTERS + 32
#define S_LEFT LETTERS + 33
#define S_RIGHT LETTERS + 34
#define S_APOSTRAF LETTERS + 35
#define S_DIV LETTERS + 36
#define S_COMMA LETTERS + 37


/******************************************************************************/
inline vram_write_string_inl(addr, str)
{
    vram_set_address_i(addr)
    assign_16i(pstr, str)
    vram_write_string()
}
/******************************************************************************/
function vram_write_string()
{
   	ldy #0
   	forever {
   		lda [pstr], y
   		if(zero) {
   			vram_clear_address()
   			return
   		}
   		vram_write_a()
   		iny
   	}
}
/******************************************************************************/

