/******************************************************************************
 * NESHLA Demo Code
 * (c) 2003-2005 Brian Provinciano
 * http://www.bripro.com
 ******************************************************************************
 * BASE.AS
 ******************************************************************************
 * The base definition
 ******************************************************************************/

// ArtSoft corp.

/******************************************************************************/

#ines.mapper		"none" 
#ines.mirroring		"Vertical"
#ines.battery		"no"
#ines.trainer		"no"
#ines.fourscreen	"no"
//#ines.prgrepeat		8 // 128K

#rom.banksize		16K
#chr.banksize		8K

/******************************************************************************/

#include "nes.h"
#include "std.h"

#include "main.h"

// RAM DEFINITIONS
#include "ramdata.as"


/******************************************************************************
 * MAIN CODE					// 16K	(2 banks)
 ******************************************************************************/

/******************************************************************************/

#rom.bank			BANK_MAIN_ENTRY
#rom.org			0xC000

#interrupt.start    main
#interrupt.irq		int_irq
#interrupt.nmi		int_nmi

#include "levels.as"
#include "image.as"
#include "strings.as"
#include "gamepad.as"
#include "sprite.as"
#include "table.as"
#include "visuals.as"
#include "startscrean.as"
#include "engine.as"
#include "main.as"

/******************************************************************************/


/*#############################################################################
 #  MMMM  MM  MM MMMM
 # MM  MM MM  MM MM MM
 # MM     MMMMMM MMMM 
 # MM  MM MM  MM MM MM
 #  MMMM  MM  MM MM  MM
  #############################################################################*/
 
#chr.banksize 		4K
#chr.bank 			CHR_BACKGROUND_BANK
#incbin "OUTPUT.CHR"
#incbin "RUSFONT.CHR"
#chr.end

#chr.banksize 		4K
#chr.bank 			CHR_SPRITE_BANK
#incbin "OUTPUT2.CHR"
#chr.end
/******************************************************************************/
