// ArtSoft corp.

#define L_SCREEN_WIDTH 32
#define L_SCREEN_HEIGHT 24
#define LEVEL_WIDTH 8
#define LEVEL_HEIGHT 6
#define SCREAN_SIZE SCREEN_WIDTH * SCREEN_HEIGHT


pointer level_macro_blocks[] = {macroblocs}
pointer level_tiles[] = {l_tiles}

#define macro_block_amount 3

typedef struct macro_block {
	byte tile_id0, tile_id1, tile_id2, tile_id3
	byte color
	byte temp[3]
}

#define tile_block_amount 2

typedef struct tile_block {
	byte tile3, tile2, tile1, tile0
}

byte level_data[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x02,0x00,0x00,0x00,
	0x00,0x01,0x03,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00}

// выравние по 4 байта должно быть если больше 64 тайлов
byte l_tiles[] = {
	0, 0, 0, 0,
	12, 11, 1, 0,
	0, 13, 0, 2,
	52, 51, 27, 26,
	54, 53, 29, 28,
	105, 0, 79, 0,
	161, 160, 134, 133,
	107, 106, 81, 80,
	109, 108, 83, 82,
	163, 162, 136, 135,
	164, 161, 138, 137
}

// выравние по 8 байта должно быть если больше 32 макро-тайлов
byte macroblocs[] = {
	0, 0, 0, 0, 0x00, 0, 0, 0,
	1, 2, 3, 4, 0x00, 0, 0, 0,
	0, 5, 0, 6, 0x00, 0, 0, 0,
	7, 8, 9, 10, 0x00, 0, 0, 0
}