/******************************************************************************
 * NESHLA Demo Code
 * (c) 2003-2005 Brian Provinciano
 * http://www.bripro.com
 ******************************************************************************
 * VISUALS.AS
 ******************************************************************************
 * 
 ******************************************************************************/

// ArtSoft corp.

/******************************************************************************/
inline vram_fill(value, count) {
	lda value
	ldx count
	do {
		vram_write_a()
		dex
	} while(not zero)
}
/******************************************************************************/
function vram_init()
{
    vram_set_address_i(PAL_0_ADDRESS + 0)
    vram_write(#0x00)
    vram_write(#0x11)
    vram_write(#0x02)
    vram_write(#0x30)

	vram_write(#0x00)
    vram_write(#0x00)
    vram_write(#0x00)
    vram_write(#0x00)
	vram_clear_address()

	vram_set_address_i(PAL_1_ADDRESS)
	vram_write(#0x00)
    vram_write(#0x0f)
    vram_write(#0x06)
    vram_write(#0x30)
	vram_clear_address()
    
    vram_set_address_i(NAME_TABLE_0_ADDRESS)
    lda #0
	ldy #16 // 2048 bytes
	do {
		vram_fill(#0, #128)
		dey
	} while(not zero)

	vram_clear_address()
}
/******************************************************************************/
inline sprite0_wait() {
	do {
		lda #ST_SPRITE0
		bit PPU.STATUS
	} while (zero)
}
/******************************************************************************/